Bug 5137 - FDI file for PlayStation Portable
FDI file for PlayStation Portable
Status: RESOLVED FIXED
Product: hal
Classification: Unclassified
Component: misc
unspecified
x86 (IA32) Linux (All)
: high normal
Assigned To: Danny Kukawka
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-23 22:27 UTC by James Henstridge
Modified: 2006-01-13 09:36 UTC (History)
0 users

See Also:


Attachments
psp.fdi (1.41 KB, text/xml;charset=UTF-8)
2005-11-23 22:28 UTC, James Henstridge
Details
trimmed lshal output (7.98 KB, text/plain)
2005-11-23 22:38 UTC, James Henstridge
Details

Note You need to log in before you can comment on or make changes to this bug.
Description James Henstridge 2005-11-23 22:27:16 UTC
Here's an FDI file for the PSP.  At the moment it only adds information about
its portable_audio_player capability.

Some things that it would be nice to export include:
 * subdirectory to use for music files when being used as a portable audio
   player.  The PSP doesn't recognise the files if they aren't under
   ./PSP/MUSIC/

 * the device is also a portable video player.  It'd be nice to expose details
   about that capability (accepted media formats, optimal resolution, etc).

 * Is it worth exposing a "photo viewer" capability?  This capability might be
   appropriate for devices like the iPod photo and some mobile phones too.

 * the volume.policy.desired_mount_point option in my FDI file seemed to get
   overridden, and set to "usbdisk" for some reason.

The other capabilities of the PSP are probably so specific to the device (game
saves, web browser bookmarks, software, etc) that it isn't worth trying to
provide any generic properties for them.
Comment 1 James Henstridge 2005-11-23 22:28:13 UTC
Created attachment 3881 [details]
psp.fdi
Comment 2 James Henstridge 2005-11-23 22:38:26 UTC
Created attachment 3883 [details]
trimmed lshal output

Here's trimmed lshal output for the device tree created with the PSP plugged
in, with the FDI installed
Comment 3 Danny Kukawka 2005-11-24 01:09:59 UTC
Thanks, I take a look at this.
Comment 4 James Henstridge 2005-11-24 01:32:15 UTC
For reference, the media type for the ATRAC3 came from this internet draft:
  http://www.ietf.org/internet-drafts/draft-ietf-avt-rtp-atrac-family-04.txt

It doesn't show up in the IANA list, but it's likely that it will be the final
media type.

(not that it matters much -- we probably won't have any free software to produce
the format any time soon).
Comment 5 Danny Kukawka 2006-01-14 04:36:30 UTC
Added PSP to CVS. I split off the patch to the related fdi-files, but I did not 
add the mount options (volume.policy.mount_option.*) because they removed with 
one of the next releases.

I close the bug now.